Task.OldCombinerRunner (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class Task.OldCombinerRunner<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.Task.CombinerRunner<K,V>
          org.apache.hadoop.mapred.Task.OldCombinerRunner<K,V>

Enclosing class:
  Task

    protected static class Task.OldCombinerRunner<K,V>

extends Task.CombinerRunner<K,V>

Field Summary

Fields inherited from class org.apache.hadoop.mapred.Task.CombinerRunner
`inputCounter, job, reporter`

Constructor Summary
`protected` | `Task.OldCombinerRunner(Class<? extends Reducer<K,V,K,V>> cls, JobConf conf, Counters.Counter inputCounter, Task.TaskReporter reporter)`

Method Summary
`protected void` | `combine(RawKeyValueIterator kvIter, OutputCollector<K,V> combineCollector)` Run the combiner over a set of inputs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task.OldCombinerRunner

    protected Task.OldCombinerRunner(Class<? extends Reducer<K,V,K,V>> cls,
                                     JobConf conf,
                                     Counters.Counter inputCounter,
                                     Task.TaskReporter reporter)

Method Detail

### combine

    protected void combine(RawKeyValueIterator kvIter,
                           OutputCollector<K,V> combineCollector)
                    throws IOException

  Description copied from class: `Task.CombinerRunner`
  Run the combiner over a set of inputs.

  Parameters:
    `kvIter` - the key/value pairs to use as input
    `combineCollector` - the output collector
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation